/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Wed Feb 27 14:50:21 2002 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package isample;

import java.awt.event.*;
import java.util.*;

import ix.icore.*;
import ix.ip2.*;
import ix.util.*;
import ix.util.lisp.*;


/**
 * An example of various ways to entend BasicIp2.
 */

public class Isample extends Ip2 {

    public Isample() {
	super();

	// Change some defaults
	displayName = "I-X Process Panel Sample";
	symbolName = "I-Sample";
	logoLine1 = "Sample I-X Process Panel";
	logoLine2 = "Based on I-X Technology";
	logoImage = "ip2-logo.gif";

	domainName = null;

    }

    public static void main(String[] argv) {

	Util.printGreeting("I-X Process Panel Sample");

	new Isample().mainStartup(argv);

    }


    /**
     * Command-line argument processing.
     */
    protected void processCommandLineArguments() {
	super.processCommandLineArguments();
    }


    /**
     * Completes setup and initialization.
     */
    public void startup() {
	super.startup();
    }

    /**
     * Called to add items to the main frame menu bar's "Test" menu.
     */


    /*    protected void addTestMenuItems() {
	super.addTestMenuItems();

	frame.addTestIssue(Priority.HIGH,
			   "\"Perform Top Level Process for PC Configuration\" ?customer ?requirement_id ?user_requirements ?processor ?slot1 ?disk_controller ?slot2 ?io ?slot3 ?additional_device ?slot_list ?spec_id ?tech_constraints ?cost_constraints ?total_cost", 
                           "Perform Top Level Edinburgh Process"); 

	frame.addTestIssue(Priority.HIGH,
 "receive dispatched Technical Details for Device ?requirement_id ?user_requirements ?device ?slot_list ?spec_id ?tech_constraints", 
                             "Perform Top Level Aberdeen Process"); 

	frame.addTestIssue(Priority.HIGH, "consider example");

	frame.addTestIssue(Priority.LOW, "note example",
			   "Add a note");
	// following is for transportation example
	frame.addTestIssue(Priority.NORMAL, "move package-1 location-1 location-2");



    }
    */

}
